# JmsStreamMessage.h File Reference

Describes a JmsStreamMessage handle. More...

`#include <JmsCommon.h>`
`#include <JmsSession.h>`
`#include <JmsMessage.h>`
`#include <JmsTypes.h>`

Go to the source code of this file.

## Typedefs
typedef JmsMessage | JmsStreamMessage
## Functions
int JMSENTRY | JmsSessionStreamMessageCreate (JmsSession *session, JmsStreamMessage **message, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadBoolean (JmsStreamMessage *message, int *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadByte (JmsStreamMessage *message, unsigned char *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadShort (JmsStreamMessage *message, short *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadChar (JmsStreamMessage *message, short *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadInt (JmsStreamMessage *message, JMS32I *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadLong (JmsStreamMessage *message, JMS64I *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadFloat (JmsStreamMessage *message, float *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadDouble (JmsStreamMessage *message, double *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadString (JmsStreamMessage *message, JmsString *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageReadBytes (JmsStreamMessage *message, void *bytes, JMS32I *length, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteBoolean (JmsStreamMessage *message, int value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteByte (JmsStreamMessage *message, unsigned char value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteShort (JmsStreamMessage *message, short value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteChar (JmsStreamMessage *message, short value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteInt (JmsStreamMessage *message, JMS32I value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteLong (JmsStreamMessage *message, JMS64I value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteFloat (JmsStreamMessage *message, float value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteDouble (JmsStreamMessage *message, double value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteString (JmsStreamMessage *message, JmsString *value, JMS64I flags)
int JMSENTRY | JmsStreamMessageWriteBytes (JmsStreamMessage *message, void *value, JMS32I length, JMS64I flags)
int JMSENTRY | JmsStreamMessageReset (JmsStreamMessage *message, JMS64I flags)

## Detailed Description

Describes a JmsStreamMessage handle.

This file describes the functions that can be performed on a JmsStreamMessage handle A JmsStreamMessage handle corresponds to javax.jms.StreamMessage

Author:
  Copyright (c) 2002, BEA Systems, Inc.

## Typedef Documentation

typedef JmsMessage JmsStreamMessage

| A stream message handle that represents the class javax.jms.StreamMessage

## Function Documentation

int JMSENTRY JmsSessionStreamMessageCreate | ( | JmsSession * | session,
|  | JmsStreamMessage ** | message,
|  | JMS64I | flags
| ) |

  | Gets a stream message handle from the given session handle Parameters:
  session | Must be a valid session handle. May not be NULL
  message | May not be NULL. On success, *message will contain a valid stream message handle
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadBoolean | ( | JmsStreamMessage * | message,
|  | int * | value,
|  | JMS64I | flags
| ) |

  | Reads the next boolean value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, *value will contain the boolean value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadByte | ( | JmsStreamMessage * | message,
|  | unsigned char * | value,
|  | JMS64I | flags
| ) |

  | Reads the next byte value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, *value will contain the byte value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadBytes | ( | JmsStreamMessage * | message,
|  | void * | bytes,
|  | JMS32I * | length,
|  | JMS64I | flags
| ) |

  | Reads the next byte array value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  bytes | May not be NULL. An area to read the bytes from the array into that must be at least *length bytes in size
  length | May not be NULL. On input, *length must contain the number of writeable bytes at bytes. On success, *length will contain the number of bytes read
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadChar | ( | JmsStreamMessage * | message,
|  | short * | value,
|  | JMS64I | flags
| ) |

  | Reads the next two byte java character value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, *value will contain the two byte java character value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadDouble | ( | JmsStreamMessage * | message,
|  | double * | value,
|  | JMS64I | flags
| ) |

  | Reads the next double value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, *value will contain the double value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadFloat | ( | JmsStreamMessage * | message,
|  | float * | value,
|  | JMS64I | flags
| ) |

  | Reads the next float value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, *value will contain the float value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadInt | ( | JmsStreamMessage * | message,
|  | JMS32I * | value,
|  | JMS64I | flags
| ) |

  | Reads the next integer value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, *value will contain the integer value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadLong | ( | JmsStreamMessage * | message,
|  | JMS64I * | value,
|  | JMS64I | flags
| ) |

  | Reads the next long value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, *value will contain the long value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadShort | ( | JmsStreamMessage * | message,
|  | short * | value,
|  | JMS64I | flags
| ) |

  | Reads the next short value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, *value will contain the short value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageReadString | ( | JmsStreamMessage * | message,
|  | JmsString * | value,
|  | JMS64I | flags
| ) |

  | Reads the next string value from a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | May not be NULL. On success, will contain the string value
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR JMS_NEED_SPACE

int JMSENTRY JmsStreamMessageReset | ( | JmsStreamMessage * | message,
|  | JMS64I | flags
| ) |

  | Puts the message body in read-only mode and repositions the stream to the beginning Parameters:
  message | Must be a valid stream message handle. May not be NULL
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteBoolean | ( | JmsStreamMessage * | message,
|  | int | value,
|  | JMS64I | flags
| ) |

  | Writes the boolean value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The boolean value to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteByte | ( | JmsStreamMessage * | message,
|  | unsigned char | value,
|  | JMS64I | flags
| ) |

  | Writes the byte value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The byte value to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteBytes | ( | JmsStreamMessage * | message,
|  | void * | value,
|  | JMS32I | length,
|  | JMS64I | flags
| ) |

  | Writes the byte array value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The bytes to write to the stream
  length | The number of bytes to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteChar | ( | JmsStreamMessage * | message,
|  | short | value,
|  | JMS64I | flags
| ) |

  | Writes the two byte java character value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The two byte java character value to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteDouble | ( | JmsStreamMessage * | message,
|  | double | value,
|  | JMS64I | flags
| ) |

  | Writes the double value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The double value to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteFloat | ( | JmsStreamMessage * | message,
|  | float | value,
|  | JMS64I | flags
| ) |

  | Writes the float value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The float value to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteInt | ( | JmsStreamMessage * | message,
|  | JMS32I | value,
|  | JMS64I | flags
| ) |

  | Writes the integer value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The integer value to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteLong | ( | JmsStreamMessage * | message,
|  | JMS64I | value,
|  | JMS64I | flags
| ) |

  | Writes the long value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The long value to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteShort | ( | JmsStreamMessage * | message,
|  | short | value,
|  | JMS64I | flags
| ) |

  | Writes the short value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The short value to write
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsStreamMessageWriteString | ( | JmsStreamMessage * | message,
|  | JmsString * | value,
|  | JMS64I | flags
| ) |

  | Writes the string value to a stream message handle Parameters:
  message | Must be a valid stream message handle. May not be NULL
  value | The string value to write. May not be NULL
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR